<?php 
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING ^ E_DEPRECATED); 
$rootPath = is_file("../../../../library/document.php") ? "../../../../" : "../../";
define("CMS", "korCMS");
include($rootPath."config/odyssey.ini.php");
include($rootPath."library/db.php");
include($rootPath."library/system.php");
include($rootPath."library/messages.php");
include($rootPath."library/variables.php");
include($rootPath."library/language.php");
include($rootPath."library/parameters.php");
include($rootPath."library/content.php");
include($rootPath."library/custom.php");
include($rootPath."library/admin_pagination.php");
include($rootPath."library/fileSystem.php");
include($rootPath."library/imageResize.php");
include($rootPath."library/authentication.php");
$db = new db();
$system = new system();
$messages = new messages();
$variables = new variables();
$language = new language();
$parameters = new parameters();
$custom = new custom();
$content = new content();
$content = new admin_pagination();
$fileSystem = new fileSystem();
$imageResize = new imageResize();
$authentication = new authentication(false, true);
$db->query("SET NAMES 'utf8'");

function getFPath(){
	$parts = explode("/", $_SERVER["PHP_SELF"]);
	array_shift($parts); // the first element will be empty to we get rid of it
	array_pop($parts); // get rid of script name
	$fPath =implode("/", $parts);
	if(substr($fPath, -1) != "/") $fPath.="/";
	$fPath = ($fPath == "/") ? null : $fPath;	
	return $fPath;	
}

$langID = ($_GET['langID']) ? (int)$_GET['langID'] : $language->getDefaultLanguage();
$Lsufix = ((int)$langID > 1) ? "_translated" : NULL;
$variables->getSafeVars(array_keys($_REQUEST));

$token1 = "38629649";
$token2 = "73972658";
list($stage1, $token2b) = explode($token2, $_REQUEST['u']);
list($token1b, $userID) = explode($token1, $stage1);
if(empty($userID)) die("Access denied");

// lets check if the section's record belongs to this user
$section = $system->getTableSectionName($sectionID);
$uid = $db->getRecord("select userID from $section where id='$linkID'")->userID;
if($uid <> $userID) die("Access denied");



$parameters->importParameters();
$isMultilingualSite = $language->isMultilingualSite();
if($action=="add" && $fileID && $linkID && $sectionID && $writedata){ // procceed to attach the selected file
	$default = ($default) ? 1 : 0;
	$results = $db->query("select id from mediabank where id='$fileID'");
	$row = $db->getRow($results);
	if($fileSystem->isImage($row->id)){ //it is image
		$bankID = $fileID;
		$sort= 0;
		$db->query("INSERT INTO images VALUES('','$bankID','$sectionID','$linkID','$default', '$slider', '$logo', '$sort')");
		$imgID=$db->lastID();
		$Lresult = $db->query("SELECT * FROM languages WHERE active=1 ");
		$LRecords = $db->getRows($Lresult);
		foreach($LRecords as $Lrow) {
			$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
			$languageID = $Lrow->id;
			$title = ${'title'.$extension};
			$description = ${'description'.$extension};
			$keys="id,imgID,langID,title,description";
			$values="'','$imgID','$languageID','$title','$description'";
			if($title || $description){
				$query = "INSERT INTO content_images (".$keys.") VALUES(".$values.")";
				$db->query($query);
			}
		}
	}else{ //it is other type of file
		$bankID = $fileID;
		$sort = 0;
		$db->query("INSERT INTO files VALUES('','$bankID','$sectionID','$linkID','$sort')");
		$fileID=$db->lastID();
		$Lresult =$db->query("SELECT * FROM languages WHERE active=1 ");
		$LRecords = $db->getRows($Lresult);
		foreach($LRecords as $Lrow) {
			$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
			$languageID = $Lrow->id;
			$title = ${'title'.$extension};
			if($top) $title.="|top"; // for swf positioning			
			$keys="id,fileID,langID,title";
			$values="'','$fileID','$languageID','$title'";
			if($title){
				$query = "INSERT INTO content_files (".$keys.") VALUES(".$values.")";
				$db->query($query);
			}
		}
		
	}
echo'<script type="text/javascript">
	parent.$("#attachments_instructions").css("display","block");
	parent.attachments.location.reload();
	parent.$.fancybox.close();
	</script>';
	
exit;
}

function t($key, $langID=NULL, $context=NULL){ // shortcut of $language->getText($key, $langID=NULL, $context=NULL)
	global $language;
	global $langID;
	return $language->getText($key, $langID, $context);
}

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="<?php echo $rootPath;?>admin/css/admin.css" rel="stylesheet" type="text/css">
<link href="<?php echo $rootPath;?>css/bootstrap.buttons.css" rel="stylesheet" type="text/css">
<link href="<?php echo $rootPath;?>admin/css/pagination.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="<?php echo $rootPath;?>js/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="<?php echo $rootPath;?>admin/js/admin.js"></script>

<script  type="text/javascript">
<!--
jQuery(function($){
	$('#loading').css("display", "none");
});
function showHide(elm){
	default_obj = document.getElementById('default');
	slider_obj = document.getElementById('slider');
	logo_obj = document.getElementById('logo');
	if(elm.id == "logo"){
		if(elm.checked) {
			default_obj.checked = false;
			default_obj.disabled = true;
			slider_obj.checked = false;
			slider_obj.disabled = true;			
		}else{
			default_obj.disabled = false;
			slider_obj.disabled = false;
		}		
	}
	if(elm.id == "slider"){
		if(elm.checked) {
			default_obj.checked = false;
			default_obj.disabled = true;
			logo_obj.checked = false;
			logo_obj.disabled = true;			
		}else{
			default_obj.disabled = false;
			logo_obj.disabled = false;
		}		
	}
}

//-->
</script>
</head>
<body>
<div id="loading" style="width:100%; height:100%; z-index:999; background: url(images/white.gif); text-align:center; position:absolute; top:0; left:0">
	<img src="<?php echo $rootPath;?>/admin/images/loading_page.gif" width="50" height="50" alt="loading page" style="margin-top:150px">
</div>
<table width="100%" cellpadding="0" cellspacing="0" class="normal">
<tr>
<td valign="top">
<?php 
if(!$sectionID || !$linkID){
	$messages->addError(t("Μη εξουσιοδοτημένη πρόσβαση")."!");
}
if($messages->hasErrors){
	$messages->printSystemMessages();
}else{
if($action=="add" && !$fileID){ // select file to attach
	?>

	<div id="add_item" style="margin: 10px 27px; text-align:right;">
	<div style="text-align:left">
		<img src="<?php echo $rootPath;?>admin/images/tip.gif" width="25" height="32" alt="tip" style="float:left; margin:3px 10px 0 0;">
		<b><?php echo t("Προσοχή");?>!</b><br><?php echo t("Αν δεν βρίσκετε το αρχείο που θέλετε να επισυνάψετε στην βιβλιοθήκη των αρχείων σας, μπορείτε");?><br><?php echo t("να προσθέσετε τώρα κάποιο αρχείο από τον υπολογιστή σας");?>:</div>
	<a href="?bank_action=add&linkID=<?php echo $linkID;?>&sectionID=<?php echo $sectionID;?>&u=<?php echo $u;?>"><?php echo t("Επιλογή αρχείου από τον υπολογιστή σας");?></a>
	</div>
	<?php
	$header=t("ΕΠΙΛΟΓΗ ΑΡΧΕΙΟΥ ΓΙΑ ΕΠΙΣΥΝΑΨΗ");
	 ?>
	<div class="section_title" style="margin:0">
	<img src="<?php echo $rootPath;?>makeHeader.php?text=<?php echo urlencode($header);?>&amp;fontSize=14&amp;fcolor=cdcdcd&amp;bgcolor=262626&amp;transparent=" alt="<?php echo $header;?>">
	</div>	 
	<form id="editFile" name="editFile" method="post">
	<table width="100%" border="0" cellpadding="3" class="normal">
	<tr>
	<td align="right"><?php echo t("Τύπος αρχείου");?>:</td>
	<td><select name="filetypeID" class="listbox" id="ext">
	<option value="0" selected="selected"><?php echo t("Όλοι οι τύποι");?>...</option>
	<?php 
	$extres = $db->query("select * from filetypes");
	$FTRecords = $db->getRows($extres);
	foreach($FTRecords as $extrow){
	 ?>
	<option value="<?php  echo $extrow->id;?>"><?php  echo $extrow->title;?>	</option>
	<?php 
}
	?>
	</select>
	</td>
	</tr>
	<tr>
	<td align="right"><?php echo t("Λέξη ή φράση κλειδί");?>:</td>
	<td><input name="keyword" type="text" class="listbox" id="keyword" size="40" value="<?php  echo $keyword;?>" onClick="this.value=''"></td>
	</tr>
	<tr>
	<td align="right"><input name="action" type="hidden" id="action" value="<?php  echo $action;?>">
	<input name="linkID" type="hidden" id="linkID" value="<?php  echo $linkID;?>">
	<input name="sectionID" type="hidden" id="sectionID" value="<?php  echo $sectionID;?>">
	</td>
	<td><input name="button" type="submit" class="btn btn-success" id="button" value="<?php echo t("Αναζήτηση");?>"></td>
	</tr>
	</table>
	</form>
	<div id="mediabank_results" style="padding:40px;">
	<?php 
	$q="select * from mediabank where userID='$userID' ";
	if($filetypeID) $q.=" and filetypeID=".$filetypeID;
	$keyword = ltrim(rtrim($keyword));
	if($keyword) $q.=" and (tags LIKE '%$keyword%' OR title LIKE '%$keyword%')";
	$presults = $parameters->getParameter('presults');
	$results=$db->query($q);
	$maxrows=$db->getNumRows($results);
	$page = ($_REQUEST['page'] > 0) ? $_REQUEST['page'] : 1;
	$startrecord=($page * $presults) - $presults;
	$startrecord=($startrecord < 0) ? 0 : $startrecord ;
	$results=$db->query($q." order by id desc LIMIT $startrecord, $presults");
	$rows=$db->getNumRows($results);
	 if(!$rows){
		 if(!$filetypeID && !$keyword){
			 $messages->addError(t("Δεν υπάρχουν προς το παρών καταχωρημένες εγγραφές στη βιβλιοθήκη αρχείων του site σας")."!");
		 }else{
			 $messages->addError(t("Δεν βρέθηκαν αρχεία που να πληρούν τα συγκεκριμένα κριτήρια που θέσατε")."...");
		 }
		 $messages->printSystemMessages();
	 }else{
		$vars = 'action,sectionID,linkID,filetypeID,keyword,u';
		$pagination = new admin_pagination($maxrows, true, $vars);
		$pagination->printPages(); 
		$counter=0;
		$records = $db->getRows($results);
		foreach($records as $row){
			$ext = $fileSystem->getExtensionByFileTypeID($row->filetypeID);
			$counter++;
			?>
			<div style="margin-top:20px;"></div>
			<table style="float:left; padding:0 ">
			<tr>
			<td style="background:url(images/placeholder.gif) 0 0 no-repeat; padding:0; margin:0; height:131px; width:170px; text-align:center; vertical-align:middle">
			<a href="?action=add&amp;sectionID=<?php  echo $sectionID;?>&amp;linkID=<?php  echo $linkID;?>&amp;fileID=<?php  echo $row->id;?>&amp;u=<?php echo $u;?>">
			<?php 
			if($fileSystem->isImage($row->id)){
				?>
				<img src="<?php echo $rootPath;?>mediabank/thumbs/small_<?php  echo $row->id.'.'.$ext;?>?r=<?php  echo @time();?>" alt="select to attach" title="select to attach" border="0">
				<?php 
}else{
				?>
				<img src="<?php echo $rootPath;?>mediabank/icons/filetype_<?php  echo $ext;?>.gif" alt="select to attach" title="select to attach" border="0">
				<?php 
}
			?>
			</a> </td>
			</tr>
			<tr>
			<td style="text-align:center; width:170px; font-size:10px; vertical-align:top"><?php  echo t($row->title);?></td>
			</tr>
			</table>
			<?php 
			if($counter % 4 == 0) echo('<div style="clear:both"></div>');
	}
	?>
	<div style="clear:both"></div>
	<?php 
	 $pagination = new admin_pagination($maxrows, false, $vars);
	 $pagination->printPages();
	 }
	 ?>
	</div>
	<?php 
}
if($_REQUEST['action']=="add" && $_REQUEST['fileID'] && !$_REQUEST['writedata']){ // procceed to add info for the selected file
	$results = $db->query("select * from mediabank where id='$fileID' ");
	$row = $db->getRow($results);
	$ext = $fileSystem->getExtensionByFileTypeID($row->filetypeID);

	?>
	<div style="margin-top: 15px">
	
	<?php
	$header=t("ΣΥΜΠΛΗΡΩΜΑΤΙΚΑ ΣΤΟΙΧΕΙΑ ΤΟΥ ΠΡΟΣ ΕΠΙΣΥΝΑΨΗ ΑΡΧΕΙΟΥ");
	 ?>
	<div class="section_title" style="margin:0">
	<img src="<?php echo $rootPath;?>makeHeader.php?text=<?php echo urlencode($header);?>&amp;fontSize=14&amp;fcolor=cdcdcd&amp;bgcolor=262626&amp;transparent=" alt="<?php echo $header;?>">
	</div>		
	</div>
	<form method="post" enctype="multipart/form-data" name="editFile" id="editFile">
	<table  border="0" cellpadding="0" cellspacing="5" class="normal" style="margin: 0 40px; margin-bottom:150px; margin-top:10px;">
	<tr>
	<td width="280" align="right"><?php echo t("Έχετε επιλέξει το αρχείο");?>: </td>
	<td><table style="padding:0 ">
	<tr>
	<td style="background:url(images/placeholder.gif) 0 0 no-repeat; padding:0; margin:0; height:131px; width:170px; text-align:center; vertical-align:middle"><?php 
	if($fileSystem->isImage($row->id)){
		?>
		<img src="<?php echo $rootPath;?>mediabank/thumbs/small_<?php  echo $row->id.'.'.$ext;?>" alt="selected file" title="<?php  echo t($row->title);?>" border="0">
		<?php 
}else{
		?>
		<img src="<?php echo $rootPath;?>mediabank/icons/filetype_<?php  echo $ext;?>.gif" alt="selected file"  title="<?php  echo t($row->title);?>" border="0">
		<?php 
}
	?></td>
	</tr>
	</table></td>
	</tr>
	<?php 
	$Lresult =$db->query("SELECT * FROM languages WHERE active=1 ");
	$LRecords = $db->getRows($Lresult);
	foreach($LRecords as $Lrow) {
		$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
		?>
		<tr>
		<td align="right" valign="top">Τίτλος <?php  if($Lrow->extension && $isMultilingualSite){echo(' '.t("στα").' '.$Lrow->{title.$Lsufix});}?>: 
		<?php if($isMultilingualSite){ ?>
		<img  style="padding:1px; border:1px solid black; margin-bottom:-7px;" src="<?php echo $rootPath;?>mediabank/flags/flag<?php  echo $extension;?>.png">
		<?php 
} ?>
		</td>
		<td valign="top">
		<input name="title<?php  echo $extension;?>" type="text" class="listbox" id="title<?php  echo $extension;?>" size="45" value="<?php  echo t($row->title);?>"></td>
		</tr>
		<?php 
}
	if($ext=="swf"){
	?>
	<tr>
	<td align="right"><input name="top" type="checkbox" id="top" value="1"></td>
	<td><?php echo t("να εμφανίζεται στην κορυφή του άρθρου");?></td>
	</tr>	
	<?php 
}
	if($fileSystem->isImage($row->id)){
	$Lresult =$db->query("SELECT * FROM languages WHERE active=1 ");
	$LRecords = $db->getRows($Lresult);
	foreach($LRecords as $Lrow) {
		$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
		?>
		<tr>
		<td align="right">Περιγραφή <?php  if($Lrow->extension  && $isMultilingualSite){echo(' '.t("στα").' '.$Lrow->{title.$Lsufix});}?>: 
		<?php if($isMultilingualSite){ ?>
		<img  style="padding:1px; border:1px solid black; margin-bottom:-7px;" src="<?php echo $rootPath;?>mediabank/flags/flag<?php  echo $extension;?>.png">
		<?php 
} ?>
		<br>
		<span <?php if($isMultilingualSite){ ?>style="margin-right:38px;"<?php 
} ?>>(<?php echo t("θα εμφανίζεται ώς λεζάντα");?>)</span></td>
		<td valign="top">
		<textarea name="description<?php  echo $extension;?>" cols="45" rows="2" class="listbox" id="description<?php  echo $extension;?>"><?php  echo t($row->title);?></textarea></td>
		</tr>
		<?php 
}
	?>
	<tr>
	<td align="right"><input name="default" type="checkbox" id="default" value="1"></td>
	<td><?php echo t("να θεωρείται η εξ ορισμού κύρια εικόνα");?></td>
	</tr>
	<tr>
	<td align="right"><input name="slider" type="checkbox" id="slider" value="1" onClick="showHide(this)" ></td>
	<td><?php echo t("να χρησιμοποιηθεί μόνο σε slider");?></td>
	</tr>	
	<tr>
	<td align="right"><input name="logo" type="checkbox" id="logo" value="1" onClick="showHide(this)" ></td>
	<td><?php echo t("να χρησιμοποιηθεί ως logo (λογότυπο)");?></td>
	</tr>	
	<?php 
}
	?>
	<tr>
	<td align="right" valign="top">&nbsp;</td>
	<td valign="top"><input name="attach" type="submit" class="btn btn-success" id="attach" value="<?php echo t("Επισύναψη");?>">
	<input name="writedata" type="hidden" id="writedata" value="1">
	<input name="linkID" type="hidden" id="linkID" value="<?php  echo $linkID;?>">
	<input name="fileID" type="hidden" id="fileID" value="<?php  echo $row->id;?>">
	<input name="action" type="hidden" id="action" value="add">
	<input name="sectionID" type="hidden" id="sectionID" value="<?php  echo $sectionID;?>"></td>
	</tr>
	</table>
	</form>
	<?php 
}


   if($_REQUEST['bank_action'] == "add" && empty($_REQUEST['writedata'])){
	   
	$header=t("ΠΡΟΣΘΗΚΗ ΑΡΧΕΙΟΥ ΑΠΟ ΤΟΝ ΥΠΟΛΟΓΙΣΤΗ ΣΑΣ");
	 ?>
	<div class="section_title" style="margin:0">
	<img src="<?php echo $rootPath;?>makeHeader.php?text=<?php echo urlencode($header);?>&amp;fontSize=14&amp;fcolor=cdcdcd&amp;bgcolor=262626&amp;transparent=" alt="<?php echo $header;?>">
	</div>   
      <form method="post" enctype="multipart/form-data" name="addFile" id="addFile">
        <table  border="0" cellpadding="0" cellspacing="5" class="normal" style="margin: 0 40px;">
          <tr>
            <td width="280" align="right"> <?php echo t("Επιλέξτε αρχείο");?>: </td>
            <td><input name="file" type="file" class="listbox" id="file" size="35"></td>
          </tr>
          <tr>
            <td align="right"><?php echo t("Τίτλος (προαιρετικά)");?>:</td>
            <td valign="top"><input name="title" type="text" class="listbox" id="title" size="45"></td>
          </tr>
          <tr>
            <td align="right"><input name="attach" type="checkbox" value="1" checked="checked"></td>
            <td valign="top"><div style="line-height:19px"><?php echo t("Να επισυναφθεί αυτόματα το αρχείο στην τρέχουσα καταχώρηση");?></div></td>
          </tr>		  
          <tr>
            <td align="right" valign="top">&nbsp;</td>
            <td valign="top"><p>
                <input name="sbmt" type="submit" class="btn btn-success" id="sbmt" value="<?php echo t("Προσθήκη");?>">
		<input type="button" class="btn btn-inverse" value="<?php echo t("Ακύρωση & επιστροφή");?>" onclick="window.history.back()">
                <input name="bank_action" type="hidden" id="action" value="<?php  echo $_REQUEST['bank_action'];?>">
		<input name="linkID" type="hidden" value="<?php  echo (int)$_REQUEST['linkID'];?>">
		<input name="userID" type="hidden" value="<?php  echo $userID;?>">
		<input name="u" type="hidden" value="<?php  echo $u;?>">
		<input name="sectionID" type="hidden" value="<?php  echo (int)$_REQUEST['sectionID'];?>">
                <input name="writedata" type="hidden" id="writedata" value="1">
                <br>
              </p></td>
          </tr>
          <tr>
            <td> <?php echo t("Επιτρεπτοί τύποι αρχείων είναι οι ακόλουθοι");?>: <br>
              <br>
<?php 
$fres = $db->query("select * from filetypes where 1");
$frows = $db->getRows($fres);
foreach($frows as $frow){
?>
              <img src="<?php echo $rootPath;?>mediabank/icons/filetype_<?php  echo $frow->extension;?>.gif" alt="<?php  echo $frow->title;?>" title="<?php  echo $frow->title;?>" style="float:left; margin:6px;">
<?php 
}
?>
		  </td>
            <td valign="top" style="border-left: 1px dotted black; padding-left:20px">
			<table width="350" border="0" cellpadding="0" class="normal">
                <tr>
                  <td align="right"><?php echo t("Οι τρέχουσες ρυθμίσεις εικόνων απαιτούν");?><br>
                    <br></td>
                  <td>&nbsp;</td>
                </tr>
                <tr>
                  <td align="right"><?php echo t("Μέγιστο πλάτος σε pixels");?>:</td>
                  <td><b>
                    <?php  echo $parameters->getParameter('max_image_width');?>
                    </b></td>
                </tr>
                <tr>
                  <td align="right"><?php echo t("Μέγιστο ύψος σε pixels");?>:</td>
                  <td><b>
                    <?php  echo $parameters->getParameter('max_image_height')?>
                    </b></td>
                </tr>
                <tr>
                  <td><br>
                    <img src="images/tip.gif" alt="tip" width="25" height="32" style="float:left; margin-right:5px"><?php echo t("Σε περίπτωση που επιλέξετε μια εικόνα με μεγαλύτερες διαστάσεις, το σύστημα θα τις μετατρέψει αυτόματα στην καλύτερη δυνατή επιλογή ύψους - πλάτους, διατηρώντας την αναλογία της εικόνας χωρίς παραμορφώσεις");?></td>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
          </tr>
        </table>
      </form>
      <?php 
}

if($_REQUEST['bank_action'] == "add" && (isset($_REQUEST['writedata']))){
	$file=$_FILES['file']['name'];
	$ext = $fileSystem->getExtensionByFileName($file);
	$fileTypeID = $fileSystem->isValidExtension($ext);
	if($fileTypeID){
		$title = ($title) ? $title : $file;
		$tags = null;
		$db->query("INSERT INTO mediabank VALUES(null,'$title','$tags','$fileTypeID','$userID')");
		$id=$db->lastID();
		$path= $rootPath."uploads/";
		$currentFile = $path.$id.".".$ext;
		if($fileSystem->isImageExtension($ext)){
			move_uploaded_file ($_FILES['file']['tmp_name'], $currentFile);
			$imageResize = new imageResize($id, $ext, $path);
		}else{ // it's a non-image valid file, Just upload it!
			move_uploaded_file ($_FILES['file']['tmp_name'], $currentFile);
			$sourceFile = $path.$id.".".$ext;
			$destinationFile =$id.".".$ext;
			$fileSystem->copyToMediabank($sourceFile, $destinationFile );			
		}
		$fileSystem->deleteUploadedFiles($id, $path);
	}else{
		$messages->addError(t("Ο τύπος αρχείου")." [".$ext."] ".t("δεν υποστηρίζεται")."!");
	}
	if($messages->hasErrors){
		$messages->printSystemMessages();
	}else{
		if($attach && $linkID){
			?>
			<script>document.location.href="?action=add&sectionID=<?php echo $sectionID;?>&u=<?php echo $u;?>&linkID=<?php echo $linkID;?>&fileID=<?php echo $id;?>"</script>
			<?php
		}else{
		?>
		<script>document.location.href="?action=add&presults=10&u=<?php echo $u;?>&sectionID=<?php echo $sectionID;?>&section=<?php echo $system->getTableSectionName($sectionID);?>&linkID=<?php echo $linkID;?>&option=option2";</script>
		<?php
		}
	}
}



}
?>
</td>
</tr>
</table>
</body>
</html>
