<?php
/*
Odyssey view file
Filename must be like "view_sectionName.php"
Reference to controller variables must be in form $this->varName

Use $p for template path, for example $p/images/logo.png
*/


// *****************************************************************************

$autoView = false; // Warning! You need to set this to false in order to use your custom view below

// *****************************************************************************

if($autoView){ // you may change this above, setting it as false in order to use your default view starting below
	
	include("view.php");
	
}else{ // you custom layout starts here!!!


global $langID;
$section = $this->section;
$sectionID = $this->sectionID;
$item = $this->item;

if($id){ 
	$title = $item->title;
	$articleID = $id;
	$title = $item->title;
	$subtitle = $item->subtitle;
	$body = $item->body;
	$catName = $categories->getCategoryName($item->catID, "content_".$section."_categories", $langID);	
	$published = t("Δημοσιεύτηκε")." : ".$dates->makeDatefromTimestamp($item->published);
}


	?>
    <h2><?php echo $title;?></h2>
    <?php


$messages->printSystemMessages();
if($messages->hasErrors) {
	?>
	<div style='height: 200px'></div>
	<?php 
}else{
	$defaultImage = $content->getImage($section, $articleID, $langID, 'default');
	$imgDescription = $content->getImageDescription($defaultImage, $articleID, $sectionID, $langID);
	$imgDim = GetImageSize("mediabank/medium/medium_".$defaultImage);
	$w = $imgDim[0];
	$h = $imgDim[1];

	if($defaultImage != "."){ // if a default image exists for this record
	?>
    <div class="medium_image">
	<a href="mediabank/images/<?php echo $defaultImage;?>" data-rel="fb" title="<?php echo $imgDescription;?>" rel="fb-<?php echo $articleID;?>"><img src="mediabank/medium/medium_<?php echo $defaultImage;?>" width="<?php echo $w;?>" height="<?php echo $h;?>" class="zoomable" alt="<?php echo $imgDescription;?>" title="<?php echo $imgDescription." - ".t('Κάντε κλικ για μεγέθυνση');?>" /></a>
    </div>
	<?php 
    }	
	?>
    

<div class="published"><?php echo $published;?></div>
<?php $content->displayFontAdjustments("right");?>
<h4><?php echo $subtitle;?></h4>
<?php echo $content->richText($body);?>

<?php
$this->includeModules("related_images");
$this->includeModules("video_gallery");
$this->includeModules("related_files");

if($item->title){
	$this->includeModules("fb_comments");
	$this->includeModules("comments");
}
}


}
?>