<?php
/*
Odyssey view file
Filename must be like "view_sectionName.php"
Reference to controller variables must be in form $this->varName

Use $p for template path, for example $p/images/logo.png
*/


// *****************************************************************************

$autoView = false; // Warning! You need to set this to false in order to use your custom view below

// *****************************************************************************

if($autoView){ // you may change this above, setting it as false in order to use your default view starting below
	
	include("view.php");
	
}else{ // you custom layout starts here!!!

global $langID;
$section = $this->section;
$sectionID = $this->sectionID;
$title = (empty($_REQUEST['submitSearch'])) ? t("Αναζήτηση") : t("Αποτελέσματα αναζήτησης") ;


	?>
    <h2><?php echo $title;?></h2>
    <?php


$messages->printSystemMessages();
?>
<div style='height: 20px'></div>
<?php
if($this->numOfAllItems){
	$vars = 'catID,presults,keyword,date_from,date_to,submitSearch';
	$pagination = new pagination($this->maxrows, true, $vars, $presults);
	$pagination->printPages(); 
	echo "<div style='height:20px'></div>";

	$items = $this->items;
		foreach($items as $item){
			$id= $item->id;
			$title = $item->title;
			$mt = $item->minitext;
			$max_chars = $parameters->getParameter('max_chars');
			$limit = $max_chars - mb_strlen($title, 'utf-8');
			$limit = ($limit > 0 ) ? $limit : 0;
			$minitext = (mb_strlen($mt, 'utf-8') > $limit) ? $variables->unicode_substr($mt, 0 , $limit)."..." : $mt;
			$minitext = ($minitext == "...") ? null : $minitext;
			$catName = $categories->getCategoryName($item->catID, "content_".$section."_categories", $langID);	
			$defaultImage = ($this->hasSubcategories) ? $categories->getCategoryImage($id, $sectionID) : $content->getImage($section, $id, $langID, 'default');
			$imgDescription = ($this->hasSubcategories) ? NULL : $content->getImageDescription($defaultImage, $id, $sectionID, $langID);
			$foundThumb = false;
			if($defaultImage != "." || $this->hasSubcategories){ // if a default image exists for this record
				$imageFile = ($this->hasSubcategories) ? "mediabank/".$defaultImage : "mediabank/medium/medium_".$defaultImage;
				$foundThumb = true;			
			}else{
				$imageFile = "images/no_image.png";
			}
			$imgDim = GetImageSize($imageFile);
			$w = $imgDim[0];
			$h = $imgDim[1];
			$link = ($this->hasSubcategories) 
						? 
						$sef->url("index.php?section=".$section."&view=list&catID=".$id, false) 
						: 
						$sef->url("index.php?section=".$section."&view=node&id=".$id, false);	
			?>
        <div class="listing">
        <?php 
		$content->displayThumbnail($imageFile, 350, $thumbViewportHeight=150, $link, true); 
		?>
            <div class="clearfix"></div>
            <h3><a href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$id);?>"><?php echo $title;?></a></h3>
            <div class="minitext"><?php echo $minitext; ?></div>
            <div class="more"><a href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$id);?>"><?php echo t('περισσότερα');?></a></div>
		</div>
	<?php
		}
	?>
	<div style='height:40px' class="clear"></div>
	<?php
	$pagination = new pagination($this->maxrows, false, $vars, $presults);
	$pagination->printPages();															
}
?>
<div style="height: <?php echo ($messages->hasErrors) ? 20 : 50;?>px" class="clear"></div>
<form action="<?php $sef->url("index.php?section=".$section."&view=search");?>" method="get">
<input name="langID" type="hidden" value="<?php echo $langID;?>">
<table class="formTable">
	<tr>
		<td class="formLabel"><?php echo t("Αναζήτηση για");?>:</td>
		<td><input class="textbox" name="keyword" type="text" value="<?php echo $this->keyword;?>"></td>
	</tr>
	<tr>
		<td class="formLabel"><?php echo t("Στην κατηγορία");?>:</td>
		<td>
		<select name="catID" class="listbox">
		<option value=""><?php echo t("Όλες οι κατηγορίες");?></option>
		<?php echo $categories->getCategoriesForSelect(0, 0, false, $section."_categories", $this->catID);?>
		</select>
		</td>
	</tr>	
	<?php
		if($this->published_from) $this->published_from = $dates->makeTimestamp($this->published_from);
		if ($this->published_to) $this->published_to = $dates->makeTimestamp($this->published_to);
	?>
	<tr>
		<td class="formLabel"><?php echo t("Δημοσιευμένο από");?>:</td>
		<td><input class="textbox date_picker" style="width:100px" name="published_from" id="published_from" type="text" value="<?php if($this->published_to) echo $dates->makeDatefromTimestamp($this->published_from);?>"></td>
	</tr>	
	<tr>
		<td class="formLabel"><?php echo t("Δημοσιευμένο έως");?>:</td>
		<td><input class="textbox date_picker" style="width:100px" name="published_to" id="published_to" type="text" value="<?php if($this->published_to) echo $dates->makeDatefromTimestamp($this->published_to);?>"></td>
	</tr>	
	<tr>
		<td >&nbsp;</td>
		<td><input name="submitSearch" type="submit" class="formButton" value="<?php echo t("Αναζήτηση");?>"></td>
	</tr>		
</table>

</form>

<?php
if($messages->hasErrors || !$submitSearch) {
	?>
<div style='height: 200px'></div>
<?php
}
}

?>