<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;
$section = $this->section;
$sectionID = $this->sectionID;
$item = $this->item;
$_REQUEST['id'] = $item->id; // for use from related content modules

$messages->importSessionMessages();
$messages->printSystemMessages();

$articleID = $item->id;
$title = $item->title;
$description = $item->description;
$defaultImage = $content->getImage($section, $articleID, $langID, 'default');
$imgDescription = $content->getImageDescription($defaultImage, $articleID, $sectionID, $langID);
$imgDim = GetImageSize("mediabank/medium/medium_".$defaultImage);
$w = $imgDim[0];
$h = $imgDim[1];

if($title != "empty"){
	?>
	<h2><?php echo $title;?></h2>
	<?php 
}

?>
<div class="home_article">
<?php
echo $content->richText($description);
?>
</div>
<?php


if($defaultImage != "."){ // if a default image exists for this record
?>
<div class="medium_image">
<a href="mediabank/images/<?php echo $defaultImage;?>" data-rel="fb" title="<?php echo $imgDescription;?>" rel="fb-<?php echo $articleID;?>"><img src="mediabank/medium/medium_<?php echo $defaultImage;?>" width="<?php echo $w;?>" height="<?php echo $h;?>" class="zoomable" alt="<?php echo $imgDescription;?>" title="<?php echo $imgDescription." - ".t('Κάντε κλικ για μεγέθυνση');?>" /></a>
</div>
<?php 
}
	

?>

<div id="home_video"><?php $this->includeModules("video_gallery");?></div>
<?php
$this->includeModules("related_images");
$this->includeModules("related_files");

if($this->hasModules("homepage")){
?>
<h2 class="latest_articles_homepage_header"><?php echo t("Πρόσφατες δημοσιεύσεις");?></h2>
<?php
$this->includeModules("homepage");
}
?>
