<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;
$section = $this->section;
$sectionID = $this->sectionID;
if(empty($this->recordAdded)){
	$title = t("Αίτηση εγγραφής νέου μέλους");
	?>
    <h2><?php echo $title;?></h2>
    <?php	
	$messages->printSystemMessages();
	
	$fields = $db->getRecords("select * from `fields` where tableSectionID='$sectionID' and active=1 and hiddenInPublicAdmin=0 order by sort");
	?>

<div style="margin: 40px">
	<form action="index.php" method="post" autocomplete="off">
    	<input type="text" name="info" class="required">
		<table class="formTable" style="margin-top: 30px">
        <?php
		foreach($fields as $field){
			$required = (!empty($field->required)) ? ' <span class="req">*</span> ' : NULL;
			$fieldDescription = str_replace("username", "Επιθυμητό username", $field->fieldDescription);			
			$fieldDescription = str_replace("password", "Επιθυμητό password", $fieldDescription);
			$fieldDescription = str_replace("Διεύθυνση", "Διεύθυνση, Πόλη", $fieldDescription);	
			$fieldDescription = t($fieldDescription);
			$value = str_replace('"', "'", stripslashes($this->{$field->fieldVarName}));	
			$varName = str_replace("username", "userUsername", $field->fieldVarName);
			$varName = str_replace("password", "userPassword", $varName);			
			$width = ($varName == "title") ? ' style="width:220px"' : NULL;
		?>
			<tr>
				<td class="formLabel"><?php echo $required.$fieldDescription;?></td>
				<td<?php echo $width;?>>
                	<input name="<?php echo $varName;?>" type="text" class="textbox" value="<?php echo $value;?>">
				</td>
			</tr>
		<?php
		}
		?>
			<tr>
				<td class="formLabel"><span class="req">*</span><?php echo t('Κωδικός ταυτοποίησης');?></td>
				<td><input name="security_code" type="text" id="security_code" class="textbox" style="width:80px"></td>
			</tr>
			<tr>
				<td class="formLabel"><img src="CaptchaSecurityImages.php?width=100&amp;height=40&amp;characters=5" style="display:block; float:right; margin-right:2px" alt="captcha" /></td>
				<td style="white-space: nowrap;" class="formLabel"><?php echo t('Συμπληρώστε τον κωδικό ταυτοποίησης');?></td>
			</tr>
			<tr>
				<td>
                <input type="hidden" name="section" value="users">
                <input type="hidden" name="view" value="register">
                <input type="hidden" name="langID" value="<?php echo $langID;?>">
                </td>
				<td style="text-align:center"><input name="submitedData" type="submit" class="formButton" value="<?php echo t('Εγγραφή');?>"></td>
			</tr>
		</table>
	</form>
</div>
<?php 
}else{
	$title = t("Επιτυχής αποστολή της αίτησης εγγραφής");
	?>
    <h2><?php echo $title;?></h2>
    <?php	
	$messages->printSystemMessages();
	?>
<div style="margin: 30px; text-align:left; line-height:14px">
	<div style="text-align:center; margin-bottom:30px">
		<img src="images/ok.png" width="75" height="61" alt="success">
	</div>
	<?php
					echo t("Η διαδικασία αποστολής της αίτησής σας ολοκληρώθηκε με επιτυχία").".<br>";
					echo t("Ο λογαριασμός σας θα ενεργοποιηθεί από τον σχετικό έλεγχο").".<br>";					
					echo t("Θα επικοινωνήσουμε μαζί σας το συντομότερο δυνατόν").".";
					?>
	<br>
	<br>
	<div style="border-top:1px solid silver; text-align:right; margin-top:30px;">
		<div style="display:inline-block; text-align:left">
			<ul class="links_list">
				<li><a href="<?php $sef->url("index.php");?>"><?php echo t("Αρχική σελίδα"); ?></a></li>
			</ul>
		</div>
	</div>
</div>
<?php 
}
?>
