<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;
$section = $this->section;
$sectionID = $this->sectionID;
if(empty($this->restore)){
	$title = t("Ανάκτηση στοιχείων πρόσβασης μέλους");
	?>
    <h2><?php echo $title;?></h2>
    <?php	
	$messages->printSystemMessages();
	?>

<div style="margin:40px">
	<div style="text-align: center; margin-bottom: 40px">
		<?php echo t("Παρακαλούμε συμπληρώστε το e-mail με το οποίο έχετε εγγραφεί"); ?>
	</div>
	<form method="post" action="index.php">
		<table class="formTable">
				<td class="formLabel">email</td>
				<td><input name="email" type="text" class="textbox" id="email" style="width:200px"></td>
			</tr>
			<tr>
				<td>
                <input type="hidden" name="section" value="<?php echo $this->section;?>">
                <input type="hidden" name="view" value="<?php echo $this->view;?>">
                <input type="hidden" name="langID" value="<?php echo $langID;?>">
                </td>
				<td><input name="submitedData" type="submit" class="formButton" value="<?php echo t("Αποστολή"); ?>"></td>
			</tr>
		</table>
	</form>
</div>
<?php 
}else{
	$title = t("Επιτυχής αποστολή στοιχείων πρόσβασης");
	?>
    <h2><?php echo $title;?></h2>
    <?php		
	$messages->printSystemMessages();
	?>
<div style="margin: 30px; text-align:left; line-height:14px">
	<div style="text-align:center; margin-bottom:30px">
		<img src="images/ok.png" width="75" height="61" alt="success">
	</div>
	<?php
					echo t("Για λόγους ασφαλείας δεν είναι δυνατή η ανάκτηση του παλαιού κωδικού σας").".<br>";
					echo t("Ένας νέος κωδικός δημιουργήθηκε για τον λογαριασμό σας και τα στοιχεία εισόδου έχουν αποσταλεί στο e-mail σας").". ";
					echo t("Θα είστε σε θέση να τον αντικαταστήσετε με κάποιον της επιλογής σας, αφού συνδεθείτε με τα νέα στοιχεία").".<br><br>";
					echo t("Αν δεν βρίσκετε το συγκεκριμένο μήνυμα, παρακαλούμε να ελέγξετε και στον φάκελο ανεπιθύμητης αλληλογραφίας").".";
					?>
	<br>
	<br>
				<div style="border-top:1px solid silver; text-align:right; margin-top:30px;">
				<div style="display:inline-block; text-align:left">
				<ul class="links_list">
					<li><a href="<?php $sef->url("index.php?section=users&view=login");?>"><?php echo t("Σύνδεση"); ?></a></li>
				</ul>
				</div>
				</div>	
	
</div>
<?php 
}
?>
