<?php
//define this module's name and path
$mn = "odyssey_contact_form";
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];
$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];

if(empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)){
	$Mmargin = "0";
}else{
	$Mmargin = $marginTop." ".$marginRight." ".$marginBottom." ".$marginLeft." ";
}
if(empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)){
	$Mpadding = "0";
}else{
	$Mpadding = $paddingTop." ".$paddingRight." ".$paddingBottom." ".$paddingLeft." ";
}


$fieldName = $moduleParameters['fieldName'];
$fieldEmail = $moduleParameters['fieldEmail'];
$fieldPhone = $moduleParameters['fieldPhone'];
$fieldAddress = $moduleParameters['fieldAddress'];
$fieldCity = $moduleParameters['fieldCity'];
$fieldZipCode = $moduleParameters['fieldZipCode'];
$useCaptcha = ((int)$moduleParameters['useCaptcha'] > 0) ? true : false;
$email_address = $moduleParameters['emailAddress'];

if($useModuleContainer ){
?>
<div id="<?php echo $mn.$sufixID;?>" data-editable="editable">
<?php
}
	if(!empty($_POST['info'])){ // check for spam
		header ("location: index.php");
		exit;
	}
	
	if($_POST['submitContact']){
		if($useCaptcha){
			$_POST['security_code'] = strtoupper( $_POST['security_code']); // μονο κεφαλαια στο capcha
			if($_SESSION['security_code'] == $_POST['security_code'] && !empty($_SESSION['security_code'] ) ) {
				unset($_SESSION['security_code']); // ολα ok με το captcha image
			}else{
				$messages->addError(t("Ο κωδικός ταυτοποίησης που πληκτρολογήσατε δεν είναι σωστός"));
			}
		}
		if((int)$fieldName == 1){		
			if(!$_POST['fullname']) $messages->addError(t("Το ονοματεπώνυμο πρέπει να συμπληρωθεί"));
		}		
		if((int)$fieldEmail == 1){
			if(!validEmail($_POST['email']) && !empty($_POST['email'])) $messages->addError(t("Η διεύθυνση e-mail που πληκτρολογήσατε δεν είναι υπαρκτή"));
		}
		if((int)$fieldPhone == 1){		
			if(!$_POST['phone']) $messages->addError(t("Το τηλέφωνο πρέπει να συμπληρωθεί"));
		}	
		if((int)$fieldAddress == 1){		
			if(!$_POST['address']) $messages->addError(t("Η διεύθυνση πρέπει να συμπληρωθεί"));
		}	
		if((int)$fieldCity == 1){		
			if(!$_POST['city']) $messages->addError(t("Η πόλη πρέπει να συμπληρωθεί"));
		}	
		if((int)$fieldZipCode == 1){		
			if(!$_POST['tk']) $messages->addError(t("Ο Τ.Κ. πρέπει να συμπληρωθεί"));
		}					
		if(!$_POST['message']) $messages->addError(t("Πρέπει να πληκτρολογήσετε κάποιο μήνυμα"));
		
		$message = $_REQUEST['message'];
	}
	
	$hasErrors = $messages->hasErrors;
	if($hasErrors) $messages->printSystemMessages(30000, 0);

	
	if(!$_POST['submitContact'] || $hasErrors){ // display form
	?>
	<br><br>
	<?php echo t("Για να επικοινωνήσετε μαζί μας, παρακαλούμε συμπληρώστε την ακόλουθη φόρμα");?>.			
		<form action="index.php" method="post" class="contactForm" autocomplete="off">
			<table class="formTable">
				<tr><td colspan="2" style="text-align:right; color: grey"><span class="req">*</span><i><?php echo t("Απαραίτητα πεδία");?></i><br><br></td></tr>	
				<?php
				if((int)$fieldName > 0){
				?>			
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldName == 1){ 
								 echo '<span class="req">*</span>';
							 }
							 echo t('Ονοματεπώνυμο');?>
						</td>
					<td style="width:220px"><input name="fullname" type="text" class="textbox" style="width:220px" value="<?php echo str_replace('"', "'", stripslashes($fullname));?>">
						<input type="text" name="info" class="required"></td>
				</tr>
				<?php
				}
				if((int)$fieldPhone > 0){
				?>
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldPhone == 1){ 
								 echo '<span class="req">*</span>';
							 }
							 echo t('Τηλέφωνο');?>
						</td>
					<td><input name="phone" type="text" class="textbox" value="<?php echo stripslashes($phone);?>"></td>
				</tr>	
				<?php
				}
				if((int)$fieldEmail > 0){
				?>																																		
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldEmail == 1){ 
								 echo '<span class="req">*</span>';
							 }
							 ?>
							 e-mail
						</td>
					<td><input name="email" type="text" class="textbox" value="<?php echo stripslashes($email);?>"></td>
				</tr>	
				<?php
				}
				if((int)$fieldAddress > 0){
				?>							
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldAddress == 1){ 
								 echo '<span class="req">*</span>';
							 }
							 echo t('Διεύθυνση');
							 ?>
						</td>
					<td><input name="address" type="text" class="textbox" style="width:220px" value="<?php echo stripslashes($address);?>"></td>
				</tr>
				<?php
				}
				if((int)$fieldZipCode> 0){
				?>				
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldZipCode == 1){ 
								 echo '<span class="req">*</span>';
							 }					
							echo t('Τ.Κ.');
							?>
						</td>
					<td><input name="tk" type="text" class="textbox"  style="width:40px" value="<?php echo stripslashes($tk);?>"></td>
				</tr>	
				<?php
				}
				if((int)$fieldCity > 0){
				?>				
				<tr>
					<td class="formLabel">
							<?php
							 if((int)$fieldCity == 1){ 
								 echo '<span class="req">*</span>';
							 }					
							echo t('Πόλη');
							?>
						</td>
					<td><input name="city" type="text" class="textbox" value="<?php echo stripslashes($city);?>"></td>
				</tr>	
				<?php
				}
				?>							
				<tr>
					<td class="formLabel">
						<span class="req">*</span><?php echo t('Μήνυμα');?> 
					</td>
					<td><textarea name="message" rows="4" class="multiline_textbox" style="width: 220px"><?php echo stripslashes($_POST['message']); ?></textarea></td>
				</tr>	
				<?php
				if($useCaptcha){
				?>											
				<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<td class="formLabel"><img src="CaptchaSecurityImages.php?width=100&amp;height=40&amp;characters=5" style="display:block; float:right; margin-right:2px" alt="captcha" /></td>
					<td style="white-space:nowrap"><input name="security_code" type="text" id="security_code" class="textbox" style="width:40px"><br><span class="req">*</span>
				<?php echo t('Συμπληρώστε τον κωδικό ταυτοποίησης');?></td>
				</tr>
				<?php
				}
				?>
				<tr>
					<td>
					<input name="section" type="hidden" value="<?php echo $section;?>">
					<input name="view" type="hidden" value="<?php echo $view;?>">
					<input name="id" type="hidden" value="<?php echo $id;?>">
					<input name="langID" type="hidden" value="<?php echo $langID;?>">
					</td>
					<td style="text-align:right"><input name="submitContact" type="submit" class="formButton" style="padding: 3px 20px" value="<?php echo t('Αποστολή');?>"></td>
				</tr>
			</table>
		</form>
			
		<?php 
		}else{ 
			if($_POST['submitContact']){ // successfull submit
			
				global $domain_name; // get value from config ini
		
				// mail headers
				$header = "Reply-To: $domain_name <".$email_address.">\n"; 
				$header .= "Return-Path: $domain_name <".$email_address.">\n"; 
				$header .= "From: $domain_name <".$email_address.">\n";
				$header .= "Organization: $domain_name\n"; 
				$header .= "Content-Type: text; charset=utf-8\n";

				
				$msg = null;
				$subject="Contact from ".$domain_name;
				$msg=t("Καταχωρήθηκαν τα ακόλουθα στοιχεία στη φόρμα επικοινωνίας").":\n\n";
				$msg.=t("Ονοματεπώνυμο").": ".$fullname."\n\n";
				$msg.=t("Διεύθυνση").": ".$address."\n\n";
				$msg.=t("Πόλη").": ".$city."\n\n";
				$msg.=t("Τ.Κ.").": ".$tk."\n\n";
				$msg.=t("Τηλέφωνο").": ".$phone."\n\n";
				$msg.="e-mail: ".$email."\n\n";
				$msg.=t("Μήνυμα").": \n".stripslashes($message)."\n\n";
				if(mail($email_address, $subject, $msg, $header)){
					?>
					<div style="text-align:center; margin:40px">
					<img src="images/ok.png" width="75" height="61" alt="success"><br><br>
					<?php
					echo (t("Το μήνυμά σας παραδόθηκε επιτυχώς"));
					?>
					</div>
					<?php 
					}else{
					?>
					<div style="text-align:center; margin:40px;">
					<img src="images/warning.png" width="40" height="40" alt="error"><br><br>
					<?php
					echo (t("Παρουσιάστηκε σφάλμα κατά την αποστολή του μηνύματος<br>Παρακαλούμε δοκιμάστε ξανά αργότερα"));
					?>
					</div>
					<?php
				}
			}
		}
if($useModuleContainer ){		
?>
</div>
<?php 
}
?>

