<?php
//define this module's name
$mn = "odyssey_video_gallery";
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/
global $currentVersion;
$sectionID = $this->sectionID;
$id = (int)$_REQUEST['id'];
if((float)$currentVersion < 3){
	$messages->addError("Το ένθεμα «Odyssey Video Gallery» απαιτεί έκδοση 3 ή ανώτερη");
	$messages->addError("Παρακαλούμε αναβαθμίστε το Odyssey CMS");
	$messages->printErrorMessages();
}
if(!$messages->hasErrors && !empty($id)){

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];
$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];


if(empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)){
	$Mmargin = "0";
}else{
	$Mmargin = $marginTop." ".$marginRight." ".$marginBottom." ".$marginLeft." ";
}
if(empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)){
	$Mpadding = "0";
}else{
	$Mpadding = $paddingTop." ".$paddingRight." ".$paddingBottom." ".$paddingLeft." ";
}

global $protocol;

$previewWidth = $moduleParameters['previewWidth'];
$previewHeight = $moduleParameters['previewHeight'];
$thumbWidth = $moduleParameters['thumbWidth'];
$thumbHeight = $moduleParameters['thumbHeight'];
$showTitle = $moduleParameters['showTitle'];
$backgroundColor = $moduleParameters['backgroundColor'];
$skin = $moduleParameters['skin'];
$autoPlay = $moduleParameters['autoPlay'];

$q = "SELECT distinct youtube.*, content_youtube.title 
		FROM youtube, content_youtube 
		WHERE youtube.linkID='$id' 
		and youtube.sectionID='$sectionID' 
		and content_youtube.mainID=youtube.id 
		and content_youtube.langID='$langID' 
		order by youtube.sort";
$records = $db->getRecords($q);
if(count($records)){
if($useModuleContainer ){
?>
<div id="<?php echo $mn.$sufixID;?>" data-editable="editable">
<?php 
}
?>
<style type="text/css">
<?php
if($useModuleContainer ){
?>
#<?php echo $mn.$sufixID;?>{
	text-align: <?php echo $moduleParameters['moduleAlign'];?>;
	margin : <?php echo $Mmargin;?>;
	padding : <?php echo $Mpadding;?>;
<?php
if($widthInPixels){
	?>
	width: <?php echo $widthInPixels;?>px;
	<?php 
}	
if($moduleParameters['moduleHR'] == "top" || $moduleParameters['moduleHR'] == "bottom"){
?>
	border-<?php echo $moduleParameters['moduleHR'];?> : 1px solid black;
<?php 
}
?>
}
<?php 
}
?>
</style>
<script type="text/javascript" src="js/html5gallery.js"></script>  
 <?php
$div = '<div style="display:none" class="html5gallery" ';
$div.= 'data-skin="'.$skin.'" ';
$div.= 'data-width="'.$previewWidth.'" ';
$div.= 'data-height="'.$previewHeight.'" ';
$div.= 'data-thumbwidth="'.$thumbWidth.'" ';
$div.= 'data-thumbheight="'.$thumbHeight.'" ';
$div.= (!empty($showTitle)) ? 'data-showtitle="true" ' : 'data-showtitle="false" ' ;
$div.= 'data-bgcolor="#'.$backgroundColor.'" ';
$div.= '>';
echo $div;
foreach($records as $record){
	$url = $protocol."://www.youtube.com/embed/".$record->youtubeCode;
	if($autoPlay) $url.="?autoplay=1";
?>
<a href="<?php echo $url;?>"><img src="<?php echo $protocol;?>://img.youtube.com/vi/<?php echo $record->youtubeCode;?>/2.jpg" alt="<?php echo $record->title;?>"></a>
<?php
}
echo '</div>  ';

if($useModuleContainer ){
?>
</div>
<?php 
}
}
}
?>