<?php
/*
Odyssey view file
Filename must be like "view_sectionName_viewName.php"
Reference to controller variables must be in form $this->varName
*/

global $langID;

$section = $this->section;
$sectionID = $this->sectionID;
	$title = t("Επεξεργασία των στοιχείων του λογαριασμού σας");
	?>
    <h2><?php echo $title;?></h2>
    <?php
$messages->printSystemMessages();

$fields = $db->getRecords("select * from `fields` where tableSectionID='$sectionID' and active=1 and hiddenInPublicAdmin=0 order by sort");
	?>

<div style="margin: 40px">
	<form action="index.php" method="post" autocomplete="off">
		<table class="formTable" style="margin-top: 30px">
			<?php
            foreach($fields as $field){
                $required = (!empty($field->required)) ? ' <span class="req">*</span> ' : NULL;
                $fieldDescription = str_replace("username", "Επιθυμητό username", $field->fieldDescription);			
                $fieldDescription = str_replace("password", "Επιθυμητό password", $fieldDescription);
                $fieldDescription = str_replace("Διεύθυνση", "Διεύθυνση, Πόλη", $fieldDescription);	
                $fieldDescription = t($fieldDescription);
                $value = str_replace('"', "'", stripslashes($this->{$field->fieldVarName}));	
                $varName = str_replace("username", "userUsername", $field->fieldVarName);
                $varName = str_replace("password", "userPassword", $varName);			
                $width = ($varName == "title") ? ' style="width:220px"' : NULL;
            ?>        
			<tr>
				<td class="formLabel"><?php echo $required.$fieldDescription;?></td>
				<td<?php echo $width;?>>
                	<input name="<?php echo $varName;?>" type="text" class="textbox" value="<?php echo $value;?>">
				</td>
			</tr>
		<?php
		}
		?>
			<tr>
				<td>
                <input type="hidden" name="section" value="users">
				<input type="hidden" name="view" value="profile">
                <input type="hidden" name="langID" value="<?php echo $langID;?>">
                </td>
				<td style="text-align:center"><input name="submitedData" type="submit" class="formButton" value="<?php echo t('Αποθήκευση');?>"></td>
			</tr>
		</table>
	</form>
</div>
